# Contributing

Any contributions to this project are welcome! Before you open an issue or create a pull request, though, note that this project isn’t a general-purpose date library. If a feature isn’t supported by dayjs, it likely won’t be supported here.

## Building & Testing

Ensure node and npm are installed. Clone the repository and install dependencies:

```bash
git clone git@github.com:devshawn/react-dayjs.git
cd react-dayjs
npm install
```

Run tests:
```bash
npm test
```

Run tests with coverage:
```bash
npm run test:coverage
```

Run tests in watch mode:
```bash
npm run test:watch
```

Run lint:
```bash
npm run lint
```

Run webpack build:
```bash
npm run build
```

Run webpack in watch mode:
```bash
npm run serve
```

## Pull Requests
1. Discuss your proposed change in a GitHub issue first before spending time and implementing a feature or fix.

2. Ensure all changes are relevant to the pull request. Keep pull requests as small and to-the-point as possible.

3. Add & modify tests as necessary. Also, ensure the code meets our style standards. Run the linter.

4. Once changes are completed, open a pull request for review against the master branch. 
